<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

class tGuiXP {
	
	function tGuiXP($skin_dir) {
		global $confixx_skin_dir;
		$skin_dir = $skin_dir . '/';
		$confixx_skin_dir = $skin_dir;
	}
	
	function make_menu_item($id, $text, $href, $enabled = true) {
		include_once('gui/module.GuiXP_LeftMenu.php');
		return (new tGuiXP_MenuItem($id, $text, $href, $enabled));
	}

	function make_menu_block($id, $text, $default, $items, $opened = false) {
		include_once('gui/module.GuiXP_LeftMenu.php');
		// all blocks by default are "closed", because opened block are rendered wrong
		return (new tGuiXP_MenuBlock($id, $text, $default, $items, $opened));
	}

	function make_shortcuts_block($items) {
		include_once('gui/module.GuiXP_LeftMenu.php');
		return (new tGuiXP_ShortcutsBlock($items));
	}

	function make_action_button($id, $text, $href) {
		include_once('gui/module.GuiXP_LeftMenu.php');
		return (new tGuiXP_ActionButton($id, $text, $href));
	}

	function make_shortcut_item($id, $text, $href) {
		include_once('gui/module.GuiXP_LeftMenu.php');
		return (new tGuiXP_ShortcutItem($id, $text, $href));
	}

	function make_navigation_container($items) {
		include_once('gui/module.GuiXP_LeftMenu.php');
		return (new tGuiXP_NavigationContainer($items));
	}
	
	function make_left_menu($items) {
		include_once('gui/module.GuiXP_LeftMenu.php');
		return (new tGuiXP_LeftMenuPage($items));
	}

	function make_main_frameset($default_node = NULL) {
		include_once('gui/module.GuiXP_Frames.php');
		return (new tGuiXP_MainFrameSet($default_node));
	}
	
	function make_frame_top($head_id, $head_text) {
		include_once('gui/module.GuiXP_Frames.php');
		return (new tGuiXP_FrameTop($head_id, $head_text));	
	}
	
	function make_frame_main($content_url, $help_head_key, $help_text_key) {
		include_once('gui/module.GuiXP_Frames.php');
		return (new tGuiXP_FrameMain($content_url, $help_head_key, $help_text_key));
	}
	
	function make_frame_help($head_text, $body_text) {
		include_once('gui/module.GuiXP_Frames.php');
		return (new tGuiXP_FrameHelp($head_text, $body_text));
	}
	
	function make_menu_target_int($url, $help_head_key = '' , $help_text_key = '') {
		include_once('gui/module.GuiXP_LeftMenu.php');
		return (new tGuiXP_HrefInt($url, $help_head_key, $help_text_key));
	}

	function make_menu_target_ext($url) {
		include_once('gui/module.GuiXP_LeftMenu.php');
		return (new tGuiXP_HrefExt($url));
	}
	
	function make_menu_target_top($url) {
		include_once('gui/module.GuiXP_LeftMenu.php');
		return (new tGuiXP_HrefTop($url));
	}
}

$confixx_skin_dir = '';
$confixx_jscript_dir = '/js/'; // trailing slash !!!


?>
